JsonCpp project page | Classes | Namespace | JsonCpp home page

json_writer.cpp File Reference
`#include "json_tool.h"`
`#include <json/writer.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cctype>`
`#include <cmath>`
`#include <cstdio>`
`#include <cstring>`
`#include <iomanip>`
`#include <memory>`
`#include <set>`
`#include <sstream>`
`#include <utility>`

Go to the source code of this file.

## Namespaces

namespace | Json
| JSON (JavaScript Object Notation).

## Typedefs

using | Json::StreamWriterPtr = std::unique_ptr<StreamWriter>

## Functions

String | Json::valueToString (LargestInt value)
String | Json::valueToString (LargestUInt value)
String | Json::valueToString (Int value)
String | Json::valueToString (UInt value)
String | Json::valueToString (double value, unsigned int precision=Value::defaultRealPrecision, PrecisionType precisionType=PrecisionType::significantDigits)
String | Json::valueToString (bool value)
static bool | Json::doesAnyCharRequireEscaping (char const *s, size_t n)
static unsigned int | Json::utf8ToCodepoint (const char *&s, const char *e)
static String | Json::toHex16Bit (unsigned int x)
static void | Json::appendRaw (String &result, unsigned ch)
static void | Json::appendHex (String &result, unsigned ch)
static String | Json::valueToQuotedStringN (const char *value, size_t length, bool emitUTF8=false)
String | Json::valueToQuotedString (const char *value)
String | Json::valueToQuotedString (const char *value, size_t length)
String | Json::writeString (StreamWriter::Factory const &factory, Value const &root)
| Write into stringstream, then return string, for convenience.
OStream & | Json::operator<< (OStream &, const Value &root)
| Output using the StyledStreamWriter.

## Variables

static const char | Json::hex2 []